Skip to main content
GET
List job runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

name
string | null
Maximum string length: 255
Pattern: ^[a-zA-Z0-9_\-\.]*\*?[a-zA-Z0-9_\-\.]*$
created_after
string<date-time> | null
status
enum<string>[] | null
Available options:
PENDING,
RUNNING,
FAILED,
COMPLETED,
CANCELLED,
TIMED_OUT
region
string | null
cursor
string | null

Cursor for the next page

size
integer
default:50

Page size

Required range: 0 <= x <= 100

Response

Successful Response

items
RunView · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page